%global __python %{__python3}
Name:                totem
Epoch:               1
Version:             3.30.0
Release:             1
Summary:             GNOME Movie Player
License:             GPLv2+ with exceptions
URL:                 https://wiki.gnome.org/Apps/Videos
Source0:             https://download.gnome.org/sources/totem/3.26/totem-%{version}.tar.xz
BuildRequires:       pkgconfig(cairo) pkgconfig(clutter-1.0) pkgconfig(clutter-gst-3.0)
BuildRequires:       pkgconfig(clutter-gtk-1.0) pkgconfig(gnome-desktop-3.0)
BuildRequires:       pkgconfig(gsettings-desktop-schemas) pkgconfig(gstreamer-1.0)
BuildRequires:       pkgconfig(gstreamer-base-1.0) pkgconfig(gstreamer-plugins-base-1.0) >= 1.6.0
BuildRequires:       pkgconfig(gstreamer-audio-1.0) pkgconfig(gstreamer-tag-1.0)
BuildRequires:       pkgconfig(gstreamer-video-1.0) pkgconfig(gtk+-3.0) >= 3.19.4
BuildRequires:       pkgconfig(libpeas-gtk-1.0) pkgconfig(totem-plparser) gstreamer1-plugins-good
BuildRequires:       gcc-c++ gettext gtk-doc intltool itstool meson python3-devel
BuildRequires:       pkgconfig(pygobject-3.0) vala libappstream-glib
BuildRequires:       pkgconfig(libnautilus-extension) liberation-sans-fonts
BuildRequires:       pkgconfig(grilo-0.3) pkgconfig(grilo-pls-0.3)
Requires:            libpeas-loader-python3 python3-gobject iso-codes gstreamer1 gvfs-fuse
Requires:            gstreamer1-plugins-base >= 1.6.0 gstreamer1-plugins-good gstreamer1-plugins-ugly-free
Requires:            grilo-plugins gsettings-desktop-schemas gtk3 >= 3.19.4
Recommends:          gstreamer1-plugins-bad-free
Obsoletes:           totem-mythtv < 1:2.91.0-1
Provides:            totem-mythtv = %{epoch}:%{version}-%{release}
Obsoletes:           totem-upnp < 1:3.1.4-1
Provides:            totem-upnp = %{epoch}:%{version}-%{release}
Obsoletes:           totem-jamendo < 1:3.1.4-1
Provides:            totem-jamendo = %{epoch}:%{version}-%{release}
Obsoletes:           totem-tracker < 1:3.1.4-1
Provides:            totem-tracker = %{epoch}:%{version}-%{release}
Obsoletes:           totem-publish < 1:3.1.4-1
Provides:            totem-publish = %{epoch}:%{version}-%{release}
Obsoletes:           totem-mozplugin < 1:3.13.90-1
Obsoletes:           totem-mozplugin-vegas < 1:3.13.90-1
Obsoletes:           totem-youtube < 1:3.22.1-1
Provides:            totem-youtube = %{epoch}:%{version}-%{release}
%description
Totem is a simple movie player for the GNOME desktop. it has Simple playlists, full screen mode,
search and volume controls, and fairly complete keyboard navigation.

%package devel
Summary:             Documentation for totem
Requires:            %{name} = %{epoch}:%{version}-%{release}
%description devel
The totem-devel package contains API documentation for developing plugins for totem.

%package nautilus
Summary:             Nautilus' Video and Audio Properties Tab
Requires:            %{name} = %{epoch}:%{version}-%{release}
%description nautilus
This package provides the Nautilus extension, which displays the properties of audio and video files
in the properties dialog.

%package        help
Summary:             Documentation for totem
%description    help
This package provides documentation for totem.

%prep
%autosetup -p1

%build
%meson -Denable-gtk-doc=true
%meson_build -j1

%install
%meson_install
%find_lang totem --with-gnome

%check
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/org.gnome.Totem.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/org.gnome.Totem.desktop

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files -f totem.lang
%doc AUTHORS NEWS README TODO COPYING
%{_bindir}/{totem,totem-video-thumbnailer}
%{_libdir}/libtotem.so.*
%{_libdir}/girepository-1.0/Totem-1.0.typelib
%{_datadir}/applications/org.gnome.Totem.desktop
%{_datadir}/dbus-1/services/org.gnome.Totem.service
%{_datadir}/metainfo/org.gnome.Totem.appdata.xml
%dir %{_datadir}/totem
%{_datadir}/totem/{controls.ui,playlist.ui,preferences.ui,properties.ui}
%{_datadir}/totem/{shortcuts.ui,totem.ui,uri.ui}
%dir %{_libdir}/totem
%dir %{_libdir}/totem/plugins
%{_libdir}/totem/plugins/{dbus,opensubtitles,pythonconsole}
%{_libdir}/totem/plugins/{apple-trailers,autoload-subtitles,brasero-disc-recorder}
%{_libdir}/totem/plugins/{gromit,im-status,ontop,recent,rotation,screensaver}
%{_libdir}/totem/plugins/{skipto,properties,media-player-keys,screenshot}
%{_libdir}/totem/plugins/{save-file,variable-rate,vimeo}
%{_libexecdir}/totem-gallery-thumbnailer
%{_datadir}/icons/hicolor/*/apps/org.gnome.Totem.png
%{_datadir}/icons/hicolor/symbolic/apps/org.gnome.Totem-symbolic.svg
%{_datadir}/GConf/gsettings/*.convert
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/thumbnailers/totem.thumbnailer

%files nautilus
%{_libdir}/nautilus/extensions-3.0/*.so*

%files devel
%{_datadir}/gtk-doc/html/totem
%{_includedir}/totem
%{_libdir}/libtotem.so
%{_libdir}/pkgconfig/totem.pc
%{_datadir}/gir-1.0/Totem-1.0.gir

%files help
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/totem-video-thumbnailer.1*

%changelog
* Wed Oct 28 2020 Anan Fu <fuanan3@huawei.com> - 3.30.0-1
- package init
